Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » migrate from eclipse 3.3 to 4
migrate from eclipse 3.3 to 4 [message #896666] Thu, 19 July 2012 06:38 Go to next message
ambika Missing name is currently offline ambika Missing name
Messages: 8
Registered: June 2011
Junior Member
I have to migrate from eclipse europa to Juno RCP . the code in 3.3 is working fine.What would be the steps to move it.This is what I tried:

created new plugins in Juno and moved all the src to it.
edited manifests manually to have the same changes as 3.3 plugins
when I export the product, An exe is generated but when i click on exe, I get the attached log generated in configuration folder.

I am new to Eclipse RCP.please help.If there are good links which can be followed to migrate, please share.

[Updated on: Thu, 19 July 2012 06:41]

Report message to a moderator

Re: migrate from eclipse 3.3 to 4 [message #896714 is a reply to message #896666] Thu, 19 July 2012 09:20 Go to previous messageGo to next message
Joseph Carroll is currently offline Joseph Carroll
Messages: 174
Registered: May 2012
Location: Milwaukee, WI
Senior Member

I started using developing RCP apps on the Helios release, and I am not certain what issues exist when migrating from 3.3. However, you best bet is to use the compatibility layer for starters. A good resource is Lars' tutorial [1].

As I said, I started developing in 3.6, but your best bet (IMHO) is to take incremental steps. First, I would focus on getting the app to run in 3.6 or 3.7. Then make the transition into the 4.2 compatibility layer. As of now, it is not reccommended to mix 3.x and 4.x plugins, there are too many issues. This is something that is being worked on for the service releases and 4.3. Lastly, take a look at some of the other links below to start getting a better feel for 4.x.

Take care,

JD

[1] http://www.vogella.com/articles/Eclipse4CompatibilityLayer/article.html
[2] http://www.eclipse.org/eclipse/development/porting/eclipse_4_2_porting_guide.php
[3] http://wiki.eclipse.org/Eclipse4/Eclipse_SDK_4.0_FAQ

Re: migrate from eclipse 3.3 to 4 [message #899007 is a reply to message #896714] Mon, 30 July 2012 03:03 Go to previous messageGo to next message
ambika Missing name is currently offline ambika Missing name
Messages: 8
Registered: June 2011
Junior Member
Thanks JD,

the first link you gave was the key to my issue resolution


I somehow made the existing application work on Juno.Now I am stuck on P2 update site.I got the UI up.But 2 issue i face are:

1. in Available software sites, i dont get the site listed even though my p2.inf has a local repository added.
2. i changed one of the plugin version and did an export again.then i opened an old exported product and checked for new updates.But it is says nothing to update.I checked in content.xml and artifact.xml, both have lastest version of the plugin also added.

am i missing anything here?


regards
Ambika

[Updated on: Mon, 30 July 2012 03:08]

Report message to a moderator

Re: migrate from eclipse 3.3 to 4 [message #899069 is a reply to message #899007] Mon, 30 July 2012 09:11 Go to previous messageGo to next message
Joseph Carroll is currently offline Joseph Carroll
Messages: 174
Registered: May 2012
Location: Milwaukee, WI
Senior Member

I'll have to look into that a little more, I am not as familiar with p2. However, I would start by reviewing your required versions. AFAIK, if an update moves outside of the required range (ex [0.5-1.5) ) then it will not display any updates that are available even if it is ver 1.6 of the same plugin.

I could be wrong, so I will double check. But that is what's top of mind at least.

JD
Re: migrate from eclipse 3.3 to 4 [message #899216 is a reply to message #899069] Tue, 31 July 2012 02:42 Go to previous messageGo to next message
ambika Missing name is currently offline ambika Missing name
Messages: 8
Registered: June 2011
Junior Member
Another input i would like to give regarding my product is that it is a feature based product.I tried to change the version of the feature and did step 2 in my prev post.This time it did catch that upgrade but it then said cannot update the feature due to dependency issues.both 0.10 and 0.11 cannot coexist.where 0.11 is my upgraded feature and 0.11 is old feature
Re: migrate from eclipse 3.3 to 4 [message #899309 is a reply to message #899216] Tue, 31 July 2012 08:41 Go to previous messageGo to next message
Brian de Alwis is currently offline Brian de Alwis
Messages: 242
Registered: July 2009
Senior Member
It's hard to diagnose your problems without more detail. You might want to read through the p2 FAQ first though, as it includes se background and tips for diagnosing problems:

http://wiki.eclipse.org/P2/FAQ

The p2 installed along defaults to only showing categorized features; I'm not sure that you can assign categories when using the Eclipse Export functions. These defaults can be changed programmatically (and perhaps by entries in the preference_customization.ini).

Brian.

[Updated on: Tue, 31 July 2012 08:43]

Report message to a moderator

Re: migrate from eclipse 3.3 to 4 [message #899709 is a reply to message #899309] Thu, 02 August 2012 00:18 Go to previous message
ambika Missing name is currently offline ambika Missing name
Messages: 8
Registered: June 2011
Junior Member
Hi Brian

Thanks for your response.

My issue is that even though i have a p2.inf with the following entries

I am not able to get Available software sites with default site mentioned in p2.inf.

instructions.configure=\
org.eclipse.equinox.p2.touchpoint.eclipse.addRepository(name:My Update Site,type:0,location:file${#58}///C${#58}/Users/Desktop/myapp/JUNO/executable/repository);\
org.eclipse.equinox.p2.touchpoint.eclipse.addRepository(name:My Update Site,type:1,location:file${#58}///C${#58}/Users/Desktop/myapp/JUNO/executable/repository);


my build.xml has p2.gathering=true

here i expect 'My Update Site' to be displayed automatically in Available software sites.Not sure if my understanding is correct.

Mine is a feature based product.Please let me know if you need any more details

Thanks
Ambika
Previous Topic:No Customize perspective in Juno ???
Next Topic:(Announce) Jeeeyul's Eclipse Theme - Chrome has been updated!
Goto Forum:
  


Current Time: Wed Aug 27 07:04:02 EDT 2014

Powered by FUDForum. Page generated in 0.01771 seconds